using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 用户隶属角色关系表
    /// </summary>
    [Description("用户隶属角色关系表")]
	[Redis("USER_ID")]
	[IgnoreT4]public class T_FM_USER_BELONG_ROLE: MesEntityBase
	{
		/// <summary>用户ID</summary>
		[Description("用户ID")]
		public Guid USER_ID { get; set; }


		/// <summary>所属角色ID</summary>
		[Description("所属角色ID")]
		public Guid BELONG_ROLE_ID { get; set; }


		/// <summary>导航：用户</summary>
		[Description("导航：用户")]
		public virtual T_FM_USER Nav_User { get; set; }


		/// <summary>导航：所属角色</summary>
		[Description("导航：所属角色")]
		public virtual T_FM_ROLE Nav_BelongRole { get; set; }
	}
}
